#include "infodialog.h"
#include <QTextEdit>
#include <QVBoxLayout>

InfoDialog::InfoDialog(QWidget *parent) :
    QDialog(parent)
{
    setWindowTitle("Help dialog");
    QVBoxLayout *lo = new QVBoxLayout(this);
    QTextEdit *te = new QTextEdit(this);
    lo->addWidget(te);

    resize(QSize(720, 380));
    te->setHtml("<div><h2>LE grating range: 100 - 24 nm</h2>\n"
                "<p>If you want to go below 24 nm you can use the grating "
                "in higher diffraction order.</p>"
                "<h4>Example</h4>"
                "<ul>If you want to measure in the range:<li>"
                "50-12nm use second order;<li>"
                "<li>33-9nm use third order.</li></ul></div>"
                "<div><h2>HE grating range: 27 - 6.7 nm</h2>"
                "<p>If you want to go below 6.7 nm you can use the grating "
                "in higher diffraction order.</p>"
                "<h4>Example</h4>"
                "<ul>If you want to measure in the range:<li>"
                "13.5-3.3nm use second order;<li>"
                "<li>9-2.2nm use third order.</li></ul></div>");
}
