#include "mat.h"
#include <macros.h>

/**
 * Esempio di matrici in c++  da: Bruce Eckel "Programmare in C++"
 */
void mat::clearAll() {
    delete [] m;
    m = 0;
    r = 0;
    c = 0;
    msize = 0;
}
unsigned char& mat::mval(unsigned int i, unsigned int j) {
    if (i<r && j<c) {
        return  m[(i*c)+j];
    } else {
        perr("mat::mval (Spectrometer)", "Error: index of matrix out of bound.");
    }
}
void mat::setDimensions(unsigned int rows, unsigned int columns) {
    if (rows == 0 || columns == 0) {
        perr("mat::mval (Spectrometer)", "Error: dimension of matrix is zero.");
    } else if (rows != r || columns != c) {
        clearAll();
        msize = rows*columns*sizeof(unsigned char);
        m = new unsigned char [msize];
        r = rows;
        c = columns;
    }
}
